---
updatedAt: 2026-10-19T10:10:03.000Z
agentTools:
  projectIndex: https://developer.flutterwave.com/llms.txt
---

# Ghana Mobile Money

Collect mobile money payments from customers in Ghana. We recommend you read the [method overview](/v3.0.0/docs/ghana) before you proceed.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "flutterwave-v3",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.flutterwave.com/v3"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/charges?type=mobile_money_ghana": {
      "post": {
        "summary": "Ghana Mobile Money",
        "description": "Collect mobile money payments from customers in Ghana. We recommend you read the [method overview](/v3.0.0/docs/ghana) before you proceed.",
        "operationId": "charge-via-ghana-mobile-money",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "Pass your secret key as a bearer token in the request header to authorize this call",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Bearer FLWSECK_TEST-SANDBOXDEMOKEY-X"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "amount",
                  "currency",
                  "email",
                  "tx_ref",
                  "phone_number",
                  "network"
                ],
                "properties": {
                  "amount": {
                    "type": "integer",
                    "description": "This is the amount to be charged.",
                    "default": 1500,
                    "format": "int32"
                  },
                  "currency": {
                    "type": "string",
                    "description": "This is the specified currency to charge the card in. With Flutterwave you can charge cards in more than 90 currencies, all you need to do is pass the specified currency you would like to charge the in",
                    "default": "GHS"
                  },
                  "email": {
                    "type": "string",
                    "description": "This is the email address of the customer",
                    "default": "user@flw.com"
                  },
                  "tx_ref": {
                    "type": "string",
                    "description": "This is a unique reference, unique to the particular transaction being carried out.",
                    "default": "MC-3243e"
                  },
                  "phone_number": {
                    "type": "string",
                    "description": "This is the phone number linked to the customer's mobile money account",
                    "default": "054709929220"
                  },
                  "network": {
                    "type": "string",
                    "description": "This is the customer's mobile money network provider (possible values: MTN, VODAFONE, AIRTEL)",
                    "default": "MTN"
                  },
                  "fullname": {
                    "type": "string",
                    "description": "This is the customers full name. It should include first and last name of the customer",
                    "default": "John Madakin"
                  },
                  "client_ip": {
                    "type": "string",
                    "description": "IP - Internet Protocol. This represents the current IP address of the customer carrying out the transaction",
                    "default": "154.123.220.1"
                  },
                  "device_fingerprint": {
                    "type": "string",
                    "description": "This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used",
                    "default": "62wd23423rq324323qew1"
                  },
                  "meta": {
                    "type": "object",
                    "description": "This is used to include additional payment information",
                    "properties": {
                      "flightID": {
                        "type": "string",
                        "description": "This could be the extra information you want to pass"
                      },
                      "sideNote": {
                        "type": "string",
                        "description": "This could be any message you'd like to associate with this call"
                      }
                    }
                  },
                  "redirect_url": {
                    "type": "string",
                    "description": "This is a url you provide, we redirect to it after the customer completes payment and append the response to it as query parameters.",
                    "default": "https://webhook.site/3ed41e38-2c79-4c79-b455-97398730866c"
                  }
                }
              },
              "examples": {
                "Sample Request Object": {
                  "value": {
                    "tx_ref": "MC-158523s09v5050e8",
                    "amount": "150",
                    "currency": "GHS",
                    "voucher": "143256743",
                    "network": "MTN",
                    "email": "user@gmail.com",
                    "phone_number": "054709929220",
                    "fullname": "John Madakin",
                    "client_ip": "154.123.220.1",
                    "device_fingerprint": "62wd23423rq324323qew1",
                    "meta": {
                      "flightID": "213213AS"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"success\",\n    \"message\": \"Charge initiated\",\n    \"meta\": {\n        \"authorization\": {\n            \"redirect\": \"https://checkout.flutterwave.com/captcha/verify/86:8a3b2011f03961d6b634041c8cf1e97c\",\n            \"mode\": \"redirect\"\n        }\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "message": {
                      "type": "string",
                      "example": "Charge initiated"
                    },
                    "meta": {
                      "type": "object",
                      "properties": {
                        "authorization": {
                          "type": "object",
                          "properties": {
                            "redirect": {
                              "type": "string",
                              "example": "https://checkout.flutterwave.com/captcha/verify/86:8a3b2011f03961d6b634041c8cf1e97c"
                            },
                            "mode": {
                              "type": "string",
                              "example": "redirect"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"error\",\n    \"message\": \"Please specify the following parameters in body: network\",\n    \"data\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "Please specify the following parameters in body: network"
                    },
                    "data": {}
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Content-Type",
        "value": "application/json"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```